## dell-recovery 0.55~omsk1

=== debian/changelog ===
dell-recovery (0.55~omsk1) lucid; urgency=low

  * Build for inclusion in OMSK image.

 -- Michael Frey <michael.frey@canonical.com>  Thu, 15 Apr 2010 15:13:05 -0400

dell-recovery (0.55) lucid; urgency=low

  * Add support for type 0x27 partitions (NTFS Win7 Recovery partition).
  * When first building the UP, check for all possible upimg filenames.
  * Add two binary files taken directory from factory process that are used
    to produce a compatible MBR and PBR such that DellDiags can be launched
    from a BIOS menu.
  * Use some crafty maneuvering to create the UP using parted rather than
    mkfs.vfat.  The latter appears to not properly fill out bytes 11-35 of
    the PBR causing it to not be bootable.
  * Take the necessary bytes out of the two binary files to place them in
    place, making the PBR properly bootable.
  * debian/control:
    - Drop recommends for syslinux since we use our own mbr now.
  * When operating in ubiquity debug mode, expose exceptions even if we're
    in a factory boot.
  * If we didn't include an autoexec.bat/config.sys (as is the case from normal
    DellDiags releases), then make the files we need to be bootable.
  * Update icon to new Dell branding icon and render it at a higher resolution.
  * Do a better job at filtering command line options that shouldn't propagate
    to the target system.
  * Replace dell-dvd png with an svg so that is scales better at high resolution.
  * Filter extra kernel command line arguments in all scenarios, not just if
    dell-recovery is in the kernel command line.
  * Shuffle the dell-bootstrap plugin to come before language again.
    - This will allow us to use debian-installer/language to preseed the install
      to a particular language.
    - This also allows the rest of the UI to be customized besides just the
      dell-bootstrap plugin.
  * Fix translation support.  We should be able to load translations for all
    widgets now.
  * Introduce a 3rd ubiquity plugin that forces the title of the parent window.
    This is necessary because bootstrap runs before the language page, which
    which reset the title again.
    - Only load it if we don't have dell-recovery/recovery_type on kernel 
      command line (which means factory mode)
  * Adjust the names of some of the templates to not show items as bold in
    the bootstrap plugin.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 15 Apr 2010 00:55:47 -0500

dell-recovery (0.54) lucid; urgency=low

  * Fix a crash in HDD mode from get_selected_device not being initialized
    in that context.
  * Import translations from launchpad.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sun, 11 Apr 2010 00:38:17 -0500

dell-recovery (0.53) lucid; urgency=low

  * Add a preseedable template to mark which partition should be active
    after a successful installation.
    - For an installation that is resizing another OS, don't set this key.
  * Pull in portions of the SUCCESS, FAIL, and chroot scripts to this package.
    - The ones on the recovery partition will still be executed if they exist,
      but they will also be removed after execution.
  * Produce a shell script to make sure that sfdisk is called on the right
    device.
  * Don't copy kernel command line parameters to the extra debug options in the
    recovery partition grub.cfg
  * Don't propagate debian-installer preseeds through.
  * Add a preseedsable template to mark which partition should be active
    after a failed installation.
  * If active or failed partition isn't preseeded, set a sane default for the 
    resize case.
  * Don't propagate any ubiquity (automatic-ubiquity, debug-ubiquity) kernel
    command lines through to the actual system install.
  * When in dual boot mode, don't install grub onto the RP.
  * When in dual boot mode, calculate the size of and produce additional
    partitions for the other OS to install into.
  * When in dual boot mode, install grub onto the 4th partition so that install
    can kick itself off.
  * When in dual boot mode, don't offer the resize options.

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 10 Apr 2010 10:30:05 -0500

dell-recovery (0.52) lucid; urgency=low

  * dell-bootstrap:
    - Actually append drivers to the to_remove list
    - Allow multiple drivers to be blocked from install (by comma separated list).
    - On the debug image, output the version number.
    - Enable some level of translation.  It's still got some issues, but is better
      than before.
  * Add an argument to check the currently installed version.
  * Only import GTK for the necessary pieces.
  * backend:
    - Add a new function: query_have_dell_recovery that will determine if a 
      dell-recovery deb or rpm is on the filesystem of an image or in a BTO tree.
  * builder:
    - If dell-recovery isn't included in the chosen image or in the chosen FID
      tree, then support injecting it into the image.
    - Make sure to clean up dynamic buttons when necessary.
  * Don't allow building the list store if git was installed and removed.
  * Catch exceptions when errors happen installing packages.
  * Import translations from launchpad.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 05 Apr 2010 22:50:45 -0500

dell-recovery (0.51) lucid; urgency=low

  * Don't fail reinstall if missing an SDR.
  * Import translations from launchpad.
  * Add a new template: dell-recovery/disable-driver-install, which will block
    the installation of a preseeded list of drivers during postinstall phase 
    from Jockey.
  * When running in ubiquity debug mode, spawn a terminal to use.
  * Add a new dual boot template used to enable a dual boot preseed.
  * Propagate the dual boot parameters through the command line on installation
  * Add a new template: dell-recovery/dual_boot_seed.
    - This template's primary purpose is to add an additional seed to stack on
      the default seed.


## dell-recovery 1.66

=== po/Makefile ===

DOMAIN=dell-recovery
PO_FILES := $(wildcard *.po)

all: update-po

top_srcdir=../

# update the pot
$(DOMAIN).pot:
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -r -g $(DOMAIN); 

# create mo from the POs
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 

# dummy target 
update-po: $(DOMAIN).pot $(patsubst %.po,%.mo,$(wildcard *.po))

clean:
	rm -rf mo

=== secure_boot/Makefile ===
TOPDIR	?= $(shell pwd)/..
INSTALL         ?= install
MAKE            ?= make
CC              = $(CROSS_COMPILE)gcc
LD              = $(CROSS_COMPILE)ld
OBJCOPY         = $(CROSS_COMPILE)objcopy
READELF         = eu-readelf
ARCH            = $(shell $(CC) -dumpmachine | cut -f1 -d- | sed s,i[3456789]86,ia32,)
GNUEFIDIR	= /usr/lib

CFLAGS		?= -O0 -g3
BUILDFLAGS	:= $(CFLAGS) -fpic -Wall -fshort-wchar \
	-fno-strict-aliasing -fno-merge-constants -ffreestanding \
	-fno-stack-protector -fno-stack-check --std=c11 -DCONFIG_$(ARCH) \
	-I/usr/include/efi/ -I/usr/include/efi/$(ARCH)/ \
	-iquote$(TOPDIR)/include "-DDEBUGDIR=L\"$(DEBUGDIR)/\""
CCLDFLAGS	?= -nostdlib -Wl,--warn-common \
	-Wl,--no-undefined -Wl,--fatal-warnings \
	-Wl,-shared -Wl,-Bsymbolic -L$(LIBDIR) -L$(GNUEFIDIR) \
	-Wl,--build-id=sha1 -Wl,--hash-style=sysv \
	$(GNUEFIDIR)/crt0-efi-$(ARCH).o
OBJCOPY_GTE224 = $(shell expr `$(OBJCOPY) --version |grep ^"GNU objcopy" | sed 's/^.* //g' | cut -f1-2 -d.` \>= 2.24)


FORMAT = --target efi-app-x86_64
BUILDFLAGS += -mno-mmx -mno-sse -mno-red-zone -nostdinc \
		-maccumulate-outgoing-args -DEFI_FUNCTION_WRAPPER \
		-DGNU_EFI_USE_MS_ABI -I$(shell $(CC) -print-file-name=include)

TARGETS = MokSBStateSet.efi

all : $(TARGETS)

.SECONDARY: $(foreach target,$(TARGETS),$(target).debug $(target).build-id)

%.efi : %.so
ifneq ($(OBJCOPY_GTE224),1)
	$(error objcopy >= 2.24 is required)
endif
	$(OBJCOPY) -j .text -j .sdata -j .data -j .dynamic -j .dynsym \
		-j .rel* -j .rela* -j .reloc -j .eh_frame \
		$(FORMAT) $^ $@

%.efi.debug : %.so
ifneq ($(OBJCOPY_GTE224),1)
	$(error objcopy >= 2.24 is required)
endif
	$(OBJCOPY) -j .text -j .sdata -j .data -j .dynamic -j .dynsym \
		-j .rel* -j .rela* -j .reloc -j .eh_frame \
		-j .debug* -j .note.gnu.build-id \
		$^ $@

%.efi.build-id : %.so
	$(READELF) -n $^ | grep "Build ID:" | \
		sed -e 's/^.*Build ID: //' -e 's,^\(..\),\1/,' > $@

%.so : %.o
	$(CC) $(CCLDFLAGS) -o $@ $^ -lefi -lgnuefi \
		$(shell $(CC) -print-libgcc-file-name) \
		-T elf_$(ARCH)_efi.lds

%.o : %.c
	$(CC) $(BUILDFLAGS) -c -o $@ $^

clean :
	@rm -vf $(TARGETS) *.o *.so *.efi.signed *.efi *.efi.debug \
		*.efi.build-id

## dell-recovery 0.58

=== debian/changelog ===
dell-recovery (0.58) lucid; urgency=low

  * Adjust alignment from ubiquity changes in v2.2.23.
    - Bootstrap page now has yalign 0 and no fixed width
    - Recovery Media creation page, yalign 0 and remove some fixed widths
  * Merge translations from launchpad.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 26 Apr 2010 14:59:06 -0500

dell-recovery (0.57) lucid; urgency=low

  [ Mario Limonciello ]
  * Import translations from launchpad.
  * Add the ability to disable nvidia driver installation during install too.
  * Add an additional postinstallation script directory for non-negotiable items
    shipped with this package.
  * Add a script to call the DKMS autoinstallation script to catch any modules
    that may have failed to build/install during install such as PAE kernels. 
    (LP: #563906)
  * match_system_device: Don't allow matching anything without a 0x preceding it.
    - Still allows base 16 ints
    - Still allows base 16 ints encapsulated in a string
  * Invert topdown for match system device.
  * Ignore devices / vendor id that are too long.
  * Add a test to test all devices on a system to the source package.

  [ James Ferguson ]
  * match_system_device: Don't recursively follow symlinks after the first
    level.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 21 Apr 2010 23:12:35 -0500

dell-recovery (0.56) lucid; urgency=low

  * Handle the exception that no casper UUID or no initrd are in the image by
    displaying it more nicely.
    - Although we can probably work around this, it will be troublesome down
      the road, so it's better to catch it and notify the user it's a broken
      image.
  * Try harder to detect the locale chosen at bootstrap.
  * Filter more gfxboot menu selections from propagating through the system
    from the locale that they had selected.
  * Default to use git:// protocol rather than http://.  It's far quicker for
    checkouts anyhow.
  * Render the icon at 128x128 to avoid GTK warnings.
  * Don't remove any items during SDR or UP explosion.  Rely on them being
    cleaned up at during the success command instead.
  * Shuffle the widgets around on the bootstrap page so that they stop getting
    clipped when translations are loaded.
  * Move gtk.Spinner into an eventbox so that glade doesn't nuke it every time
    the gtk.Builder file is modified.
  * Fix up the padding a little bit on the create recovery media page.
  * Import translations from launchpad.
  * Set the cancel button to an imported Cancel rather than always english.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sat, 17 Apr 2010 12:55:03 -0500

=== debian/control ===
Source: dell-recovery
Section: utils
Priority: optional
Maintainer: Mario Limonciello <superm1@ubuntu.com>
XSBC-Original-Maintainer: Mario Limonciello <mario_limonciello@dell.com>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.4), python-distutils-extra, po-debconf
XS-Python-Version: current
Homepage: http://linux.dell.com/
Vcs-Bzr: http://bazaar.launchpad.net/~dell-team/dell-recovery/trunk
Standards-Version: 3.8.4

Package: dell-recovery
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, policykit-1, uuid-runtime, udisks | devicekit-disks | hal, policykit-1-gnome
Replaces: dell-artwork
Recommends: usb-creator-gtk, brasero | nautilus-cd-burner, lsb-release, python-vte, python-aptdaemon-gtk, parted
Enhances: oem-config-gtk, ubiquity-frontend-gtk
Suggests: grub-pc
XB-Python-Version: ${python:Versions}
Description: Dell Recovery Media Creation Package
 This package is used to produce a Dell recovery media image.
 It then uses known open source tools to write the image to 
 a USB flash drive or DVD writer.

## dell-recovery 0.58.1

=== debian/changelog ===
dell-recovery (0.58.1) lucid-proposed; urgency=low

  * Cherry pick from trunk:
    - For FISH scripts, just execute them rather than special casing python and
      shell.  This means all scripts need #!/bin/sh or #!/bin/python at the top.
    - When calling scripts in non-negotiable, don't use exec. (LP: #602414)
    - Reverse the order of calling /tmp/set_active_partition and SUCCESS_SCRIPT
      to prevent problems with BTO Anywhere.
    - If FIST is found, don't extract the UP.  This means factory process ( of
      some sort )

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 07 Jul 2010 14:29:10 -0500

## dell-recovery 0.58.2

=== debian/changelog ===
dell-recovery (0.58.2) lucid-proposed; urgency=low

  * Cherry pick from trunk:
    - Work around a bug with interactions between a non-KMS plymouth and
      casper running when VT7 is active by not running casper stop if
    'noprompt' is not present in /proc/cmdline.
    - Fix recovery from recovery of a recovery. (LP: #643889)
    - Ubiquity bootstrap: sync before reboots.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 21 Sep 2010 18:03:41 -0500

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_clean:
	dh_clean
	cd $(CURDIR)/po; make clean

## dell-recovery 0.71

=== debian/changelog ===
dell-recovery (0.71) maverick; urgency=low

  * Adjust the sandybridge blacklist to match that in the latest compiz.
    (LP: #644372)
  * Ubiquity bootstrap: sync before reboots.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 21 Sep 2010 09:40:31 -0500

dell-recovery (0.70) maverick; urgency=low

  * Fix recovery from recovery of a recovery. (LP: #643889)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 20 Sep 2010 16:10:17 -0500

dell-recovery (0.69) maverick; urgency=low

  * Unset dbus session address before spawning burning apps for recovery media.
    - Recent versions of ubiquity (2.3.18+) set the dbus session address in the
      environment.  This causes issues because root can't speak on the session
      bus (and that's what plugininstall.py runs as).

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 17 Sep 2010 13:34:42 -0500

dell-recovery (0.68) maverick; urgency=low

  * Add another id to blacklist for sugar bay.  Thanks Robert Hooker!
  * Include the architecture in the target ISO names.
  * Add one more rotational character to allow a full rotation.
  * Dynamically populate the list of available UI's.
  * For atom class, if une-efl is available, set to that by default.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 16 Sep 2010 19:11:45 -0500

dell-recovery (0.67) maverick; urgency=low

  * Parse the architecture of debs in debs/main to help figure out which
    to install.
  * Modify the dell-default-ui logic to match goals better for 10.10.
  * Run dell-default-ui during install rather than on first boot.
  * Preseed any advanced questions in case this is non-RP install.
  * Update the text for the restart dialog.
  * In the swap recipe fixup, detect large memory (>= 4GB) and don't create
    swap in these scenarios either.
  * Fix the efi set_advanced logic to not accidentally force msdos.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 13 Sep 2010 17:29:23 -0500

dell-recovery (0.66) maverick; urgency=low

  [ Mario Limonciello ]
  * If boot/grub/efi.img is found, create a mutlti-catalog ISO image.
  * Support FISH packages of nested archives for OIE.
  * Support media that uses GRUB to boot.
  * Mark a boot as an EFI boot if /sys/firmware/efi exists too.
  * Run grub-install in EFI mode too (it will use efibootmgr for us)
  * Fix Y-align on some labels.
  * If a disk is grub based, don't include the isolinux directory in the ISO.
  * Be more rigid about the scenarios that grub gets reinstalled on
    first boot.
  * Don't run part of the recovery plugin in bootstrap mode.
  * If dmi-available-memory isn't available (such as x86_64), fall back to
    /proc/meminfo.
  * No need to run efibootmgr to cleanup after install, the OS handles it.
  * Fixup creating media from recovery partitions containing eltorito.img.
  * Make sure the image complete dialog is centered.
  * Import translations from launchpad.

  [ Peter Petrakis ]
  * Autobuilder Frontend:
    - Cleanup of help text.
    - Add support to set iso prefix.
    - Add support to set specific dell-recovery package.
    - Add an option to skip the local git tree update.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 09 Sep 2010 19:29:19 -0500

dell-recovery (0.65) maverick; urgency=low

  [ Mario Limonciello ]
  * Save files in XDG Downloads directory by default (LP: #616671)
  * Re-encode strings to utf8 when checking ISOs in builder mode. (LP: #616663)
  * Remove unused misc import in dell-recovery ubiquity plugin.
  * If choosing resize mode, still hide the UI pieces that make the page grow.
  * Clean up pylint warnings and errors in the ubiquity plugins.
  * Don't allow the bootstrap plugin to run if not in automatic mode.
  * Hide the plugin_widgets page in factory mode to prevent the app from
    growing and showing the wrong sized slideshow.

  [ Peter Petrakis ]
  * Add bto-autobuilder for standalone build features. (LP: #619452)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 17 Aug 2010 15:42:17 -0500

dell-recovery (0.64) maverick; urgency=low

  [ Mario Limonciello ]
  * Use the newly available progress bar from all ubiquity plugins to display
    status while building the RP.
  * Split out the propagated kernel options into their own file, to make sure
    they are common to the RP after install too.
  * If common.cfg is missing, don't flip out.
  * Make sure that BOOT_IMAGE is not propagating into the RP.
  * Always output the name of the plugin in debug strings.
  * Fix backwards list for une/ude in UI chooser.
  * Correct a rounding regression with the switch to parted for making partitions.
  * Add some additional debugging for all installs to share more about the creation
    of the UP and grub.
  * Strip the stray characters at the end of extra command line.
  * Backup the logs to the RP at the end of building RP for later debug purposes.
  * When booting grub from partition 4, search that partition before the rp for
    a common.cfg

  [ Peter Petrakis ]
  * Record the base iso used in the bto_manifest
  * Calculate the md5sum of each driver fish and record it in bto_md5sum

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 10 Aug 2010 20:16:46 -0500

dell-recovery (0.63) maverick; urgency=low

  * Fix a regression with tgz type fish packages from previous pylint cleanup
    due to tarfile not containing an __exit__ method.
  * When operating on a newer ubiquity version, hide the progress_section
    at window bottom.
  * Drop the title string on the bootstrap page.  It looks funny.
  * Don't propagate BOOT_IMAGE either to target system.
  * Add a title string to the recovery page, it looks funny without it.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 05 Aug 2010 17:43:39 -0500

dell-recovery (0.62) maverick; urgency=low

  * Work around a bug with interactions between a non-KMS plymouth and
    casper running when VT7 is active by not running casper stop if


## dell-recovery 0.71.6

=== debian/changelog ===
dell-recovery (0.71.6) maverick-proposed; urgency=low

  "6th time's a charm!"
  * Cherry pick from trunk:
    - Use dbus-launch for launching usb-creator to help alleviate crashes in dbus.
      (LP: #698347)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 26 Jan 2011 00:45:36 -0600

dell-recovery (0.71.5) maverick-proposed; urgency=low

  * Cherry pick from trunk:
    - Correct a rounding error when calculating the size of the resultant utility
      partition during recovery that would cause otherwise failed recoveries.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 17 Jan 2011 15:05:23 -0600

dell-recovery (0.71.4) maverick-proposed; urgency=low

  * Cherry pick from trunk:
    - Use dbus-launch to start brasero in OEM-Config (LP: #698347)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 06 Jan 2011 17:37:57 -0600

dell-recovery (0.71.3) maverick-proposed; urgency=low

  * Fix a typo from the backport.  Trunk supported dual_seed in process_conf
    but maverick didn't.
    (LP: #687480)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 27 Dec 2010 00:38:25 -0600

dell-recovery (0.71.2) maverick-proposed; urgency=low

  * Cherry pick from trunk:
    - Translate the recovery line that is inserted into grub.cfg based
      upon the initial language selected during OOBE.
    - Include a Chinese translation of the above.
      (LP: #687480)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 27 Dec 2010 00:05:08 -0600

dell-recovery (0.71.1) maverick-proposed; urgency=low

  * Cherry pick from trunk:
    - During OOBE save the first set language as the language that recovery
      from HDD is ran as. (LP: #687480)
    - Update Chinese translations from launchpad.
    - Fix widget translation for gtk Buttons.
    - Fix a backend crash when running in a more translated chinese.
    - Fix a backend crash with unicode paths.
    - Make sure the GRUB locale is properly set before rebooting in recovery.
  * Add a workaround for bug 686788 and bug 686789 so that the GRUB menu
    shows up in Chinese when selected in oem-config.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 14 Dec 2010 17:24:30 -0600

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,9 @@
 Package: dell-recovery
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, policykit-1, uuid-runtime, udisks | devicekit-disks | hal, policykit-1-gnome
-Replaces: dell-artwork
-Recommends: usb-creator-gtk, brasero | nautilus-cd-burner, lsb-release, python-vte, python-aptdaemon-gtk, parted
+Replaces: dell-artwork, dell-oobe
+Conflicts: dell-oobe
+Recommends: usb-creator-gtk, brasero | nautilus-cd-burner, lsb-release, python-vte, python-aptdaemon-gtk, parted, python-git, python-progressbar
 Enhances: oem-config-gtk, ubiquity-frontend-gtk
 Suggests: grub-pc
 XB-Python-Version: ${python:Versions}

## dell-recovery 0.98

=== debian/changelog ===
dell-recovery (0.98) natty; urgency=low

  * Check the extensions of all initrd's found in casper directories to avoid
    clashing in images that have more than one kernel in the squashfs.
    (LP: #737058)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 25 Apr 2011 13:01:07 -0500

dell-recovery (0.97) natty; urgency=low

  * dell-default-ui: If chinese install, force to 2D unity.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 15 Apr 2011 10:38:19 -0500

dell-recovery (0.96) natty; urgency=low

  * Revert "Check UP for SDR in MFG Media".  Caused problems with factory process.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 14 Apr 2011 16:07:45 -0500

dell-recovery (0.95) natty; urgency=low

  * If destination in SDR on recovery partition is CN, set the language to zh_CN.
  * Check UP for SDR in MFG Media.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 11 Apr 2011 16:05:07 -0500

dell-recovery (0.94) natty; urgency=low

  * debs go into debs not debs/main.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 08 Apr 2011 12:22:39 -0500

dell-recovery (0.93) natty; urgency=low

  * Fix missing OIE argument in recovery media generation from OOBE.
  * Sleep the network for the duration of the install in stage 2.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 07 Apr 2011 16:06:44 -0500

dell-recovery (0.92) natty; urgency=low

  * casper/bootstrap: If an MBR was backed up before install started, restore it
  * ubiquity/bootstrap: If an MBR was backed up before install, don't restore DRMK
    or syslinux MBR's.
  * late: On bind mounts, create a compatibility symlink for /media/cdrom.
    - Fxies installation of packages in late.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 30 Mar 2011 15:06:03 -0500

dell-recovery (0.91) natty; urgency=low

  * Move the choose-mirror sed workaround into SUCCESS_SCRIPT.  Fixes problems
    with apt cache during install. (LP: #737066)
  * Explicitly remove all APT Package lists at the end of install to guarantee
    success during oem-config.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 22 Mar 2011 20:04:32 -0500

dell-recovery (0.90) natty; urgency=low

  * Remove grubenv in dell-recovery-bootloader postinst too.
  * Make sure to align partitions properly and to start on 1M boundary instead.
  * Force a cleanup of memory used for apt cache.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 17 Mar 2011 16:54:39 -0500

dell-recovery (0.89) natty; urgency=low

  * Fix a corner case found for injecting dell recovery.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 04 Mar 2011 12:17:16 -0600

dell-recovery (0.88) natty; urgency=low

  * Don't run os-prober during install unless dual boot.
  * debian/control:
    - Depends on dpkg-repack.
  * If the dell-recovery instance is running from the same series
    (eg natty) as the recovery partition:
    - Check the latest version in the recovery partition
    - Compare to the running version.  
    - If the running version is newer, include it in the new image 
      that was generated.
    - This is meant for the SRU case.  If an SRU is pushed for say 0.88.1
      then that SRU could be included in target media too.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 03 Mar 2011 16:40:41 -0600

dell-recovery (0.87) natty; urgency=low

  * Fix disk creation in non DRMK case.
  * A bit of an experiment:
    - Force installation to run in safe graphics mode.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 02 Mar 2011 14:25:55 -0600

dell-recovery (0.86) natty; urgency=low

  * Drop the hack for LP: #650703 now that there is a proper solution in ubiquity.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sun, 20 Feb 2011 06:08:39 -0600

dell-recovery (0.85) natty; urgency=low

  * Add a hack for LP: #650703 to not allow oem-config to start on the rc
    runlevel stopping to prevent a race between gdm and oem-config.
    - If a proper solution is added to oem-config/ubiquity, this hack can
      be dropped.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 14 Feb 2011 18:40:40 -0600

dell-recovery (0.84) natty; urgency=low

  * OIE Archives: use tar format instead of tar.gz.
    - This is mostly because of limitations of tar.exe for WinPE.
    - A lot of the content (debs and squashfs) are already compressed using gzip,
      bz2, or lzma anyway.
  * Include a grubenv in factory config.
  * In recovery partition grub.cfg, use $prefix rather than hardcoding.
  * In recovery partition grub.cfg, use -- to delimit the end of line.
  * After SUCCESS, clean up the factory directory (regardless of if this was
    a factory install).

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 10 Feb 2011 17:45:27 -0600

dell-recovery (0.83) natty; urgency=low

  * Move the UP partition writing code to common so it can be called more easily
    outside of ubiquity if necessary.
  * Rewrite the UP bootsector if running in OIE mode.
  * dell-recovery-bootloader:
    - Set the prefix to /factory.
  * In OIE mode, generate a gzip'ed tarball rather than ISO image.
  * Create OIE images in their own directory.
  * Create an OIE diskpart recipe with the OIE image (w/ cushion of 300mb).
  * Update translations from Launchpad.
  * Update OIE help page for above changes.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 10 Feb 2011 00:33:54 -0600

dell-recovery (0.82) natty; urgency=low

  * Preseed the new ubiquity/poweroff parameter to false for the standard
    recovery process to allow the reboot to work by default.
  * Update SUCCESS/FAIL late scripts to the updated location for grubenv.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sat, 05 Feb 2011 01:16:46 -0600

dell-recovery (0.81) natty; urgency=low

  * In the wizard and in bto autobuilder offer a new option to run an image in
    OIE mode.  This connects the image through all of the plumbing from 0.80


## dell-recovery 0.98.2

=== debian/changelog ===
dell-recovery (0.98.2) natty-proposed; urgency=low

  * Fixed memory calculation issue. (LP: #817610)

 -- Kent Baxley <kent.baxley@canonical.com>  Thu, 28 Jul 2011 11:02:55 -0500

dell-recovery (0.98.1) natty-proposed; urgency=low

  * Move os-prober out of $PATH if installing to a single OS machine to prevent
    WinPE from setting off os-prober during grub-installer. (LP: #771560)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 26 Apr 2011 20:27:21 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: dell-recovery
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, policykit-1, uuid-runtime, udisks | devicekit-disks | hal, policykit-1-gnome
+Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, policykit-1, uuid-runtime, udisks | devicekit-disks | hal, policykit-1-gnome, genisoimage, dpkg-repack
 Replaces: dell-artwork, dell-oobe
 Conflicts: dell-oobe
 Recommends: usb-creator-gtk, brasero | nautilus-cd-burner, lsb-release, python-vte, python-aptdaemon-gtk, parted, python-git, python-progressbar
@@ -22,3 +22,21 @@
  This package is used to produce a Dell recovery media image.
  It then uses known open source tools to write the image to 
  a USB flash drive or DVD writer.
+
+Package: dell-recovery-casper
+Architecture: all
+Depends: dell-recovery, casper
+Description: Dell Recovery Casper Hooks
+ This package provides hooks to allow the dell-recovery
+ bootstrap to run directly from casper without any other
+ modifications to the media.
+
+Package: dell-recovery-bootloader
+Architecture: all
+Depends: grub-pc, dell-recovery
+Description: Bootloader images for Dell's factory process
+ This package is used to generate GRUB2 bootable images that are
+ injected into the Dell Linux factory installation process.
+ .
+ This package doesn't have much use outside of the Dell environment
+ but is safe to install on other systems.

## dell-recovery 1.11

=== debian/changelog ===
dell-recovery (1.11) oneiric; urgency=low

  * If dell-eula is in the pool mark it for installation.  No changes for livefs
    type installs.
  * Only do the extra check for OS prober disable when using FIST.
  * Update translations from launchpad.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 06 Oct 2011 16:07:30 -0500

dell-recovery (1.09) oneiric; urgency=low

  * In EFI installs, make sure to preseed the disk layout question to ensure
    the MBR isn't rewritten in the cleanup stages.
  * In late scripts, double check that os-prober is disabled.  On EFI installs
    GRUB gets reinstalled, so the conffile might not persist.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 28 Sep 2011 13:42:11 -0500

dell-recovery (1.08) oneiric; urgency=low

  * grub-setup.exe: ignore failures in the embedding test that may be caused by
    seek errors.
  * grub-setup.exe: set root_dev to dest_dev for the case that DEVICE needs to
    be specified (avoiding having to add -r for the same argument).

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 26 Sep 2011 16:05:30 -0500

dell-recovery (1.07) oneiric; urgency=low

  * Whoops, actually make the change I was talking about in 1.06.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 14 Sep 2011 10:29:41 -0500

dell-recovery (1.06) oneiric; urgency=low

  * Recommends on dpkg-dev to fix mingw32 grub-setup.exe build.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 14 Sep 2011 10:18:50 -0500

dell-recovery (1.05) oneiric; urgency=low

  * If binaries already have been built for dell-recovery-bootloader, don't
    build them again.
  * Clean up all dell-recovery-bootloader built binaries on purge.
  * Drop devicekit-disks references.
  * Add extra variables to hide EFI recovery partition as well as legacy
    recovery partition.
  * Add support to build grub-setup.exe for a mingw32 target in postinst.
  * Add depends of ubiquity for dell-recovery-bootloader and -casper to force
    them to be removed during OOBE.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 13 Sep 2011 12:52:05 -0500

dell-recovery (1.04) oneiric; urgency=low

  * Drop all code related to setting default u/i.  The u/i is always
    unity now, it will be 2D or 3D depending on the level of support
    of the graphics stack.
  * Pass utf8_strings=True to connect_to_signal handlers to fix handling
    of unicode directories for storing ISOs
  * Update translations from launchpad.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 09 Sep 2011 17:52:51 -0500

dell-recovery (1.03) oneiric; urgency=low

  * Move all the "code" from dell-recovery-bootloader to it's own script
    so that it can be invoked from other places too.
  * Store all GRUB configs in /factory from now.  Don't use /boot/grub
    as that's where the on disk bootloaders will land for EFI as well
    as later MBR installs.
  * Don't use grub-install at all.  Always build bootloader binaries
    ourselves that rely items in /factory.
  * Set up the FAIL and SUCCESS scripts to work out of /factory for grubenv.
  * Reinstall GRUB to the MBR on fail if fist isn't around and not EFI.
  * Add missing RP declaration in FAIL-SCRIPT.
  * Lookup the recovery partition on demand during oem-config early
    command in case the devices were different during install.
  * Depending on when FAIL_COMMAND happened, we might have mountpoints.
    Clean them up.
  * Delay the write of the new MBR until the last step in the set active
    partition command.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 08 Sep 2011 17:55:42 -0500

dell-recovery (1.02) oneiric; urgency=low

  * Install prebuilt GRUB to MBR and newly built GRUB to RP when possible.  
    - This allows a more complete emulation of factory process by reusing
      the prebuilt GRUB in the recovery scenario too.
    - The GRUB on the RP will only be used to RED screen after the MBR is
      replaced.
  * Only delete *.{dll|exe|bat} from /factory so that prebuilt GRUB binaries
    can be reused in other scenarios too.
  * Include the embedded GRUB configuration for prebuilt i386 and x86_efi-efi
    binaries.
  * Allow building both x86_64 and i386-pc prebuilt images if the -bin packages
    are installed for both.
  * Recommends grub-pc-bin and grub-efi-amd64-bin instead of grub-pc and 
    grub-efi-amd64.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 07 Sep 2011 14:03:58 -0500

dell-recovery (1.01) oneiric; urgency=low

  * produce both i386-pc and x86_64-efi outputs in dell-recovery-bootloader.
  * Don't install grub to the RP during stage 2 anymore (no longer necessary
    with grub-setup in PE).
  * During stage 1 of recovery, if a pre-built EFI bootloader is present,
    install that rather than building a new one.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 31 Aug 2011 14:31:11 -0500

dell-recovery (1.00) oneiric; urgency=low

  [ Kent Baxley ]
  * Move lzma and xz-lzma to "Depends" instead of "Recommends"
  * Fixed parted syntax error when naming the EFI System Partition in dell-boostrap.py

  [ Mario Limonciello ]
  * Clean up a bunch of pyflakes warnings and unused imports.
  * Add python syntax tests to clean rule, borrowed from ubiquity,
    Thanks Evan.
  * Merge with the natty EFI branch:
    - Add some new options for preseeding UP and RP.
    - Default the UP, RP, OS, Swap partitions to be dynamically determined.
    - Add a partition map to configure for either EFI, dual boot, or MBR installs.
    - Name the EFI system partition "EFI System Partition" to match partman-efi.
    - Match case insensitive on labels when trying to find partitions.
  * Default the recovery partition to be called 'OS'
  * Import translations from launchpad.
  * Merge the oneiric PyGI branch.
    - Convert all ubiquity pages to PyGI/Gtk3
    - Convert OIE to PyGI

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 18 Aug 2011 12:26:57 -0700

dell-recovery (0.99) oneiric; urgency=low



=== debian/control ===
Source: dell-recovery
Section: utils
Priority: optional
Maintainer: Mario Limonciello <superm1@ubuntu.com>
XSBC-Original-Maintainer: Mario Limonciello <mario_limonciello@dell.com>
Build-Depends: debhelper (>= 7.0.50~), python-all, python-distutils-extra, po-debconf, pyflakes
XS-Python-Version: current
Homepage: http://linux.dell.com/
Vcs-Bzr: http://bazaar.launchpad.net/~dell-team/dell-recovery/trunk
Standards-Version: 3.9.1

Package: dell-recovery
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, gir1.2-gtk-3.0, policykit-1, uuid-runtime, udisks | devicekit-disks | hal, policykit-1-gnome, genisoimage, dpkg-repack, python-gobject (>= 2.28), python-debian, lzma | xz-lzma
Replaces: dell-artwork, dell-oobe
Conflicts: dell-oobe
Recommends: usb-creator-gtk, brasero | nautilus-cd-burner, lsb-release, python-vte, python-aptdaemon.gtk3widgets, parted, python-progressbar
Enhances: oem-config-gtk, ubiquity-frontend-gtk
Suggests: grub-pc
Description: Dell Recovery Media Creation Package
 This package is used to produce a Dell recovery media image.
 It then uses known open source tools to write the image to 
 a USB flash drive or DVD writer.

Package: dell-recovery-casper
Architecture: all
Depends: dell-recovery, casper, ubiquity, ${misc:Depends}
Description: Dell Recovery Casper Hooks
 This package provides hooks to allow the dell-recovery
 bootstrap to run directly from casper without any other
 modifications to the media.

Package: dell-recovery-bootloader
Architecture: all
Depends: dell-recovery, ubiquity, ${misc:Depends}
Recommends: grub-pc-bin, grub-efi-amd64-bin, mingw32, quilt, autogen, autoconf, libtool, bison, flex, dpkg-dev
Description: Bootloader images for Dell's factory process
 This package is used to generate GRUB2 bootable images that are
 injected into the Dell Linux factory installation process.
 .
 This package doesn't have much use outside of the Dell environment
 but is safe to install on other systems.

## dell-recovery 1.11.2

=== debian/changelog ===
dell-recovery (1.11.2) oneiric-proposed; urgency=low

  * Backport fixes from trunk:
    - Add some preseeded language fixes that are reactive to casper 1.289
      from precise and 1.287.1 from oneiric.
    - Don't preseed the language in a standard preseed file as it overrides
      casper's attempt at setting the language.
    - Don't let dell-bootstrap set language based on locale.  Only have it
      set English if no other language has been specified yet.
    - (LP: #888298)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 09 Nov 2011 15:27:03 -0600

dell-recovery (1.11.1) oneiric-proposed; urgency=low

  [ Mario Limonciello ]
  * Backport fixes from trunk:
    - Update the GPT utility partition creation logic.  (LP: #877858, #879140)
    - Capture the state of all packages after post install scripts to prevent
      bad interactions with remove_oem_extras after ubiquity r5804.
      (LP: #879137)

  [ Kent Baxley ]
  * Backport fixes from trunk:
    - Preseed chinese installs as zh_CN.UTF-8 rather than just zh_CN.  Fixes
      translation problems for chinese factory installs. (LP: #879114)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 20 Oct 2011 17:39:58 -0500

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils --with=python2

check:
	# Sanity-check before upload.
	find -name debian -prune -o -name \*.py -print | xargs pycompile
	find -type f \( -name \*.pyc -o -name \*.pyo \) -print0 | xargs -0r rm -f
	# Check the syntax of any shell scripts.
	set -e; for x in $$(find -type f -print0 | xargs -0 file -i | grep "text/x-shellscript" | cut -d':' -f1); do \
			sh -n $$x; \
	done
	# Check the syntax of any Python scripts.
	./tests/run-pyflakes


override_dh_clean: check
	dh_clean
	cd $(CURDIR)/po; make clean

## dell-recovery 1.24

=== debian/changelog ===
dell-recovery (1.24) precise; urgency=low

  * Disable memory check for swap determination.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 23 Apr 2012 17:15:25 -0500

dell-recovery (1.23) precise; urgency=low

  * Disable unnecessary efiemu in the 32 bit factory bootloader.  Prevents
    failed postinst due to grub2 1.99-18ubuntu1.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 22 Mar 2012 17:02:41 -0500

dell-recovery (1.22) precise; urgency=low

  * Drop new_autotools.patch.  It's no longer necessary with GRUB2 
    1.99-17ubuntu1.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 07 Mar 2012 16:31:31 -0600

dell-recovery (1.21) precise; urgency=low

  * If any directories are found in /kernel on the CD, symlink them
    into /lib/modules on the overlayfs to ensure that alternate kernels
    can be loaded.
  * If 'prepackage.dell' is found in a tarball, ignore it.  Only applicable
    for other tools that will be processing packages.
  * Merge translations from launchpad.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 14 Feb 2012 18:57:06 -0600

dell-recovery (1.20) precise; urgency=low

  * Backport support for newer autotools to the precise set of grub patches.
    (LP: #928881)
  * Make the oneiric patches individual symlinks to precise patches rather
    than a full symlinked directory.
    - Add a preinst to clean up the old scenario.
  * debian/control:
    - Bump standards version.
  * Make 99_dell_recovery executable in source package.
  * Override more lintian warnings we don't care about.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 09 Feb 2012 00:54:49 -0600

dell-recovery (1.19) precise; urgency=low

  * B-d on lsb-release too.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 16 Jan 2012 16:12:34 -0600

dell-recovery (1.18) precise; urgency=low

  * Fix bootloader build test so it works on machines without dell-recovery
    already installed too to avoid a circular dependency.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 16 Jan 2012 15:37:10 -0600

dell-recovery (1.17) precise; urgency=low

  * When showing the install complete screen, set the timeout to -1.
  * Include the 'vbe' module in factory mode too.
  * Add a test to make sure most GRUB binaries will build in the chroot.
  * Build depends on grub-efi-amd64-bin and grub-pc-bin to make sure we test
    building those bootloaders.
  * Remove the theme README (unnecessary)
  * Disable PNG optimization.  Causes problems with GRUB2 theme (GRUB2 can't
    read indexed PNG's).
  * Make GRUB2 theme text white instead of black.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 16 Jan 2012 14:50:35 -0600

dell-recovery (1.16) precise; urgency=low

  * When building binaries in grub/build-binaries.sh, also build an i386-pc 
    DVD/USB bootloader.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 10 Jan 2012 09:39:21 -0600

dell-recovery (1.15) precise; urgency=low

  * Update all screenshots in the help document to a current version.
  * Include a GRUB2 theme based on the default GRUB2 upstream theme.
  * If either an i386-pc or x86_64-efi based GRUB is found in the base image
    copy the theme in place.
  * If copying in the GRUB theme, check that the dejavu fonts are already
    generated.  If not, create them.
  * In the grub.cfg files sourced before loading the common one on ISO/USB
    boot, load the appropriate backends first.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 09 Jan 2012 19:45:45 -0600

dell-recovery (1.14) precise; urgency=low

  * Correct the location that GRUBCFG gets written in the binary writing tool.
  * Remove all instances of #UUID# not just the ones that start on the line.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 03 Jan 2012 17:26:26 -0600

dell-recovery (1.13) precise; urgency=low

  [ Mario Limonciello ]
  * Include some updated patches from tyson for XML parsing in bad BIOS
    scenarios.
  * If no matching rec_part initially (blank disk) then don't crash
  * Don't build grub.cfg again if building binaries from bootstrap.
  * Query the release that we're running on to figure out whether to
    use patches for that release when building grub-setup.exe.
  * Include patches for both trunk and precise.
  * Fix file cleanup for dell-recovery-bootloader during purge.

  [ David Chen ]
  * Update the maximum size of a partition in the ubuntu.seed recipe
    to make sure partman doesn't make bad decisions about swap partition
    size when working with a >=2TB HDD.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 14 Dec 2011 18:02:03 -0500

dell-recovery (1.12) precise; urgency=low

  [ Mario Limonciello ]
  * Update bootloader patches to current grub2-trunk.
  * Add support to run GRUB2 binary builder out of tree via environment
    variables.
  * Add a 10 second countdown and automatic reboot at the end of stage 1.
  * Call emergency.sh as LAST item in casper.
  * If running in persistent mode, forcefully regenerate the apt-cache
    on boot.
  * Copy files using a blacklist excluding casper-rw rather than an all
    inclusive whitelist.  Fixes problems with persistence and dell-recovery.
  * Update the GPT utility partition creation logic.  (LP: #877858)
  * Capture the state of all packages after post install scripts to prevent
    bad interactions with remove_oem_extras after ubiquity r5804
  * Update README for more current information.
  * Don't regenerate the UUID during stage 1 anymore.  Instead, pre-populate
    the disk's UUID on the kernel command line of the target install.
    Requires casper 1.290 or later to work.
  * Add some preseeded language fixes that are reactive to casper 1.289 
    from precise and 1.287.1 from oneiric. (LP: #888298)
    - Don't preseed the language in a standard preseed file as it overrides
      casper's attempt at setting the language.
    - Don't let dell-bootstrap set language based on locale.  Only have it


=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Mario Limonciello <superm1@ubuntu.com>
 XSBC-Original-Maintainer: Mario Limonciello <mario_limonciello@dell.com>
-Build-Depends: debhelper (>= 7.0.50~), python-all, python-distutils-extra, po-debconf, pyflakes
+Build-Depends: debhelper (>= 7.0.50~), python-all, python-distutils-extra, po-debconf, pyflakes, grub-pc-bin, grub-efi-amd64-bin, lsb-release
 XS-Python-Version: current
 Homepage: http://linux.dell.com/
 Vcs-Bzr: http://bazaar.launchpad.net/~dell-team/dell-recovery/trunk
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: dell-recovery
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, gir1.2-gtk-3.0, policykit-1, uuid-runtime, udisks | devicekit-disks | hal, policykit-1-gnome, genisoimage, dpkg-repack, python-gobject (>= 2.28), python-debian, lzma | xz-lzma
+Depends: ${python:Depends}, ${misc:Depends}, gir1.2-gtk-3.0, policykit-1, uuid-runtime, udisks | devicekit-disks | hal, policykit-1-gnome, genisoimage, dpkg-repack, python-gobject (>= 2.28), python-debian, lzma | xz-lzma, ttf-dejavu-core
 Replaces: dell-artwork, dell-oobe
 Conflicts: dell-oobe
 Recommends: usb-creator-gtk, brasero | nautilus-cd-burner, lsb-release, python-vte, python-aptdaemon.gtk3widgets, parted, python-progressbar
